[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TVirtualGrid.GetDefaultCell

Gets the default values for a new cell added to the grid.

## Declaration

Source position: grids.pas line 435

`public function TVirtualGrid.GetDefaultCell: PCellProps;`

## Function result

Pointer to the cell properties with the default values for a cell.

## Description

GetDefaultCell is a PCellProps function used to get the default values for a new cell added to the grid. GetDefaultCell calls New to allocate resources for the PCellProps instance in the return value. Nil values are explicitly assigned to the Text and Attr members in the new instance.

GetDefaultCell is called when a value is assigned to a cell in the Celda property and its PCellProps instance has not already been allocated.